#include <iostream>

using namespace std;

int main()
{
    string tekst;
    string rec;
    long broj;
    bool svia = true;
    
    cin >> tekst;
    cin >> rec;

    for(long i = 0; i < rec.length(); i++)
    {
        if(tekst[i] != 'a') svia = false;
    }

    if(rec == "a")
    {
        broj = 0;
        for(long i = 0; i < tekst.length(); i++)
        {
            if(tekst[i] == 'a')
            {
                tekst[i] = '*';
                broj++;
            }
        }

        cout << broj << "\n";
        cout << tekst;
    }
    else if(svia)
    {
        int broj_slova = rec.length() - 1;
        broj = 0;
        for(long i = 0; i < tekst.length(); i++)
        {
            if(tekst[i] == 'a')
            {
                if(broj_slova == 0)
                {
                    tekst[i] = '*';
                    broj++;
                }
                else broj_slova = broj_slova - 1;
            }
        }
        cout << broj << "\n";
        cout << tekst;
    }
    
    return 0;
}